%define module jinja2

Name:           python-%{module}
Version:        3.1.1
Release:        %mkrel 1
Summary:        General purpose template engine
Group:          Development/Python
License:        BSD
URL:            http://jinja.pocoo.org/
Source0:        Jinja2-%{version}.tar.xz
BuildArch:      noarch

%description
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.

%package -n python3-%{module}
Summary:        General purpose template engine for python3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-markupsafe
Requires:       python3-markupsafe
Requires:       python3-setuptools

%description -n python3-%{module}
Jinja2 is a template engine written in pure Python3.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.

%prep
%setup -qn Jinja2-%{version}

# drop bundled egg-info
rm -rf src/*.egg-info

# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README* CHANGES* LICENSE.rst
%{python3_sitelib}/*

%changelog
* Fri Apr 01 2022 TerryN <terryn94 at gmail.com> 3.1.1-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 2.10-1pclos2018
- update

* Tue Aug 22 2017 bb2 <bb2> - 2.9.6-1pclos2017
- new
